<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  SoftwareFasterHero,
  SoftwareFasterCustomerLogos,
  SoftwareFasterFeaturedContent,
  SoftwareFasterDevSecOps,
  SoftwareFasterCaseStudies,
} from '~/components/software-faster/index';
import { NextStep } from '~/components/common/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  name: 'SoftwareFasterPage',
  components: {
    SoftwareFasterHero,
    SoftwareFasterCustomerLogos,
    SoftwareFasterFeaturedContent,
    SoftwareFasterDevSecOps,
    SoftwareFasterCaseStudies,
    NextStep,
  },
  nuxtI18n: false,
  async asyncData({ $content, error }: any) {
    try {
      const content = await $content(`software-faster/index`).fetch();
      return { content };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).content, this.$route.path);
  },
});
</script>

<template>
  <section class="software-faster">
    <SoftwareFasterHero :data="content.hero" />
    <SoftwareFasterFeaturedContent :data="content.featured_content" />
    <SlpContainer>
      <SoftwareFasterCustomerLogos
        :data="content.customer_logos"
        :data-aos="'fade-up'"
        :data-aos-duration="1600"
        :data-aos-offset="200"
      />
    </SlpContainer>
    <SoftwareFasterDevSecOps :data="content.devsecops" />
    <SoftwareFasterCaseStudies
      id="case-studies"
      :data="content.by_industry_case_studies"
      :offset="1"
      data-slippers-scroll="case-studies"
    />
    <SlpContainer variant="gradient">
      <NextStep />
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.4s ease-out;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}
.slide-enter-active,
.slide-leave-active {
  transition: opacity 0.4s ease-in;
}

.slide-enter,
.slide-leave-to {
  opacity: 0;
}
.modal {
  background: transparent;
  display: flex;
  flex-direction: column;
  margin-top: $spacing-160;

  &__backdrop {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba($color-surface-700, 0.85);
    display: flex;
    justify-content: center;
    align-items: flex-start;
    z-index: 1040;
  }
}
</style>
